Bug 439765 - Broker exits when a client connects with an unsupported protocol version
Broker exits when a client connects with an unsupported protocol version
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
low Severity low
: ---
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-31 05:52 EDT by Arnaud Simon
Modified: 2009-08-21 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-21 12:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arnaud Simon 2008-03-31 05:52:02 EDT
Description of problem:
When an unsupported protocol version is used the brokers exists with the
following error: 
>> Protocol version not supported: 8-0 (qpid/sys/AsynchIOAcceptor.cpp:253
According to AMQP specs the broker should send a protocol header with a
supported protocol version and then close the socket.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Gordon Sim 2008-03-31 06:57:09 EDT
Fixed in qpid svn r642959.
Comment 2 Mike Bonnet 2008-05-16 11:08:54 EDT
qpidc-0.2.656926-1.el5, qpidd-0.2.656926-1.el5, and rhm-0.2.2058-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.